function y=acc(u);

global Muterre coeff Rterre

% Cette fonction dduit la dclration lors d'une rentre de Chapman, en nombre de g 
% terrestres.

% Le vecteur d'entre est u = [ X Y Y' D], la drive est prise par rapport  t=X0-X
% ce qui explique le changement de certains signes par rapport aux formules du cours

gam=asin((u(2)/u(1)+u(3))/coeff);

y=u(1)*u(2)/cos(gam)*(Muterre/Rterre^2)/9.81*coeff;


end
