


                    { UNIT...UNIT...UNIT...UNIT}

    UNIT AIRSTAND;

       {Cette unite calcule:
           La masse volumique de l'air RHO en kg/m3.
           la vitesse du son VITSON en m/s.
        NB:La variable Z est l'altitude qui doit etre donnee en km.}

    INTERFACE

      function rho(z:real):real;
      function vitson(z:real):real;
      function pression(z:real):real;

    IMPLEMENTATION

      function rho(z:real):real;

       var x:real;

        BEGIN

				 if ((z>=0) and (z<17))
										 then x:=1.293*exp(-0.1202*z) else
				 if ((z>=17) and (z<22))
										 then x:=3.8923*exp(-0.185*z) else
				 if ((z>=22) and (z<25))
										 then x:=1.3553*exp(-0.13707*z) else
				 if ((z>=25) and (z<30))
										 then x:=2.11643*exp(-0.15489*z) else
				 if ((z>=30) and (z<35))
										 then x:=3.51386*exp(-0.1718*z) else
				 if ((z>=35) and (z<40))
										 then x:=1.34076*exp(-0.14426*z) else
  			         if ((z>=40) and (z<45))
										 then x:=1.044633*exp(-0.1380207*z) else
                                 if ((z>=45) and (z<50))
										 then x:=0.69735*exp(-0.12904*z) else
				 if ((z>=50) and (z<60))
										 then x:=0.6188*exp(-0.12664*z) else
				 if ((z>=60) and (z<70))
										 then x:=0.45374*exp(-0.12148*z) else
				 if ((z>=70) and (z<80))
										 then x:=5.14519*exp(-0.15616*z) else
				 if ((z>=80) and (z<100))
										 then x:=42.8456*exp(-0.18266*z) else
				 if ((z>=100) and (z<110))
										 then x:=100.01581*exp(-0.1913*z) else
				 if ((z>=110) and (z<120))
										 then x:=11.2811*exp(-0.16712*z-0.4772)
										 else x:=0;
         rho:=x;

       END;

     function vitson(z:real):real;

       var x:real;

         BEGIN

          if ((z>=0) and (z<11))
                      then x:=340-4.091*z else
          if ((z>=11) and (z<31))
                      then x:=295 else
          if ((z>=31) and (z<50))
                      then x:=169.37+4.0526*z
                      else x:=372;
          vitson:=x;

        END;

     function pression(z:real):real;

     var p:real;

     BEGIN

     {Cette fonction donne la pression de l'air en Pascal a l'altitude Z en km}

     if (0<=z) and (z<6) then p:=1.0134E5*exp(-0.12773*z) else
     if (6<=z) and (z<25) then p:=1.1772E5*exp(-0.1537*z) else
     if (25<=z) and (z<36) then p:=1.0134E5*exp(-0.148*z) else
     if (36<=z) and (z<50) then p:=0.40905E5*exp(-0.12681*z) else
     if (50<z) then p:=0;
     pression:=p;

     END;

   END.
