function y=derivsys(u);

% Fonction donnant les drives des paramtres du mouvement
%    u(1)=VR vitesse relative et absolue pour mars
%    u(2)=beta pente de descente
%    u(3)=Z altitude
%    u(4)=X distance horizontale parcourue

% Tous les calculs en m m/s s m/s rd etc

% ************************************************************

global temps S Cx Cz f Mumars Rmars M etat_init w_mars

VR=u(1);beta=u(2);Z=u(3);X=u(4);

rho=0.035*exp(-1.24e-4*Z);

Rx=0.5*rho*S*Cx*VR^2;Rz=0.5*rho*S*Cz*VR^2;

G=Mumars/(Rmars+Z)^2;Vent=w_mars*(Rmars+Z);
% Vent=0.1;
G=G-w_mars^2*(Rmars+Z);

d1=G*sin(beta)-Rx/M;
d2=(G*cos(beta)-Rz/M)/VR-2*w_mars-w_mars*(VR/Vent+Vent/VR);
d3=-VR*sin(beta);
d4=VR*cos(beta)*Rmars/(Rmars+Z);

y=[d1;d2;d3;d4];

end

%   ***************************   FIN    ******************